Rysunek Roboczy: Wybór płaszczyzny roboczej
|
Lokalizacja w menu |
---|
Kreślenie → Przybory → Wybierz płaszczyznę |
Środowisko pracy |
Rysunek Roboczy, Architektura |
Domyślny skrót |
W P |
Wprowadzono w wersji |
- |
Zobacz także |
Ustaw pośrednią płaszczyznę roboczą, Pokaż / ukryj siatkę |
Description
The Draft SelectPlane command selects the current Draft working plane. This is the plane in the 3D view where new Draft objects are created. A new working plane can be based on one of several presets or on a selection. The selection can be created before (pre-selection) or after (post-selection) starting the command.
Shapes created on different working planes
Usage with pre-selection
- Do one of the following:
- Select a single object. The following objects are supported:
- Draft WorkingPlaneProxies: the WIDOKView Data (the camera position) and the WIDOKVisibility Map (the saved visibility of objects) of the working plane proxy are also restored.
- Arch BuildingParts.
- Arch SectionPlanes.
- Std Parts: to avoid selecting subelements it is advisable to select these in the Tree view.
- Part Feature objects that have a single face. Part Planes for example.
- Objects that are not Part Feature objects and have a DANEPlacement property.
- Select one or more subelements. You can select:
- A flat face.
- Three vertices.
- A circular edge.
- Two straight edges that are co-planar but not co-linear.
- A straight edge and a vertex that does not lie on the (extended) edge.
- Select a single object. The following objects are supported:
- There are several ways to invoke the command:
- Press the
Draft SelectPlane button in the Draft Tray. Depending on the current working plane this button can look different.
- Select the Utilities →
Select Plane option from the menu.
- Use the keyboard shortcut: W then P.
- Press the
- The working plane and the button in the Draft Tray are updated.
Usage with post-selection
- There are several ways to invoke the command:
- Press the
Draft SelectPlane button in the Draft Tray. Depending on the current working plane this button can look different.
- Select the Utilities →
Select Plane option from the menu.
- Use the keyboard shortcut: W then P.
- Press the
- The Working plane setup task panel opens. See Options for more information.
- Do one of the following:
- Select a single object. See the previous paragraph for the supported objects.
- Select one or more subelements. You can select:
- A flat face.
- Three vertices.
- Click anywhere in the 3D view to confirm the selection and finish the command.
- The working plane and the button in the Draft Tray are updated.
Usage with presets
- There are several ways to invoke the command:
- Press the
Draft SelectPlane button in the Draft Tray. Depending on the current working plane this button can look different.
- Select the Utilities →
Select Plane option from the menu.
- Use the keyboard shortcut: W then P.
- Press the
- The Working plane setup task panel opens. See Options for more information.
- Press any of the buttons to finish the command.
- The working plane and the button in the Draft Tray are updated.
Options
- Press the
Top (XY) button to align the working plane with the XY plane of the global coordinate system.
- Press the
Front (XZ) button to align the working plane with the XZ plane of the global coordinate system.
- Press the
Side (YZ) button to align the working plane with the YZ plane of the global coordinate system.
- Press the
Align to view button to align the working plane with the current 3D view. If the Center plane on view checkbox is unchecked the working plane origin will match the origin of the global coordinate system, else it will match the center of the current 3D view.
- Press the
Automatic button to automatically align the working plane with the current 3D view whenever a Draft or Arch command requiring point input is started. This is equivalent to pressing the
Align to view button before using the command.
- The Offset defines the perpendicular distance between the calculated plane and the actual working plane.
- Check the Center plane on view checkbox to put the origin of the working plane in the center of to the current 3D view. This option really only makes sense if the
Align to view button is used.
- Select a vertex in the 3D view and press the
Move working plane button to move the working plane so that its origin matches the position of the selected vertex.
- The Grid spacing defines the distance between grid lines.
- The Main line every value determines where main grid lines are drawn. Main grid lines are slightly thicker than normal grid lines. For example if the grid spacing is
0.5 m
and there is a main line every10 lines
, such a line will occur every5 m
. - The Grid extension value determines the number of grid lines in the X and Y direction of the grid.
- The Snapping radius is the maximum distance at which Draft Snap Grid detects the intersections of grid lines.
- Press the
Center view button to use the origin of the current working plane as the center of the 3D view.
- Press the
Previous button to reset the working plane to its previous position.
- Press Esc or the Close button to abort the command.
Notes
- It can be useful to align the 3D view with the selected Draft working plane. For example after switching the working plane to Front you may want to switch to the Front view as well.
- The grid can be toggled with the Draft ToggleGrid command.
- By double-clicking Draft WorkingPlaneProxies in the Tree view you can quickly switch between working planes.
Preferences
See also: Preferences Editor and Draft Preferences.
- The grid settings in the task panel as well as several other grid settings are available as preferences: Edit → Preferences... → Draft → Grid and snapping → Grid.
- To use the grid the Edit → Preferences... → Draft → Grid and snapping → Grid → Use grid option must be selected. After changing this preference you must restart FreeCAD.
- The Snapping radius can also be changed on-the-fly (see Draft Snap) or by changing: Tools → Edit parameters... → BaseApp → Preferences → Mod → Draft → snapRange.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
If the Draft Workbench is active the FreeCAD application object has a DraftWorkingPlane
property which stores the current Draft working plane. You can access this property and apply transformations to it:
# This code only works if the Draft Workbench is active!
import FreeCAD as App
import FreeCADGui as Gui
workplane = App.DraftWorkingPlane
v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()
workplane.alignToPointAndAxis(v1, v2, 17)
Gui.Snapper.toggleGrid()
Gui.Snapper.toggleGrid()
It is also possible to create planes independently of the Draft working plane. This can be useful for calculations and projections:
import WorkingPlane
my_plane = WorkingPlane.plane()
v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()
my_plane.alignToPointAndAxis(v1, v2, 17)
projection = my_plane.projectPoint(App.Vector(10, 15, 2))
print(projection)
- Kreślenie: Linia, Polilinia, Zaokrąglenie, Łuk, Łuk przez 3 punkty, Okrąg, Elipsa, Wielokąt foremny, Krzywa złożona, Krzywa Bezier'a, Punkt, Łącznik ścian, Kształt z tekstu, Kreskowanie, Prostokąt
- Adnotacje: Adnotacja wieloliniowa, Wymiarowanie, Etykieta, Edytor stylów adnotacji, Widżet skali anotacji
- Modyfikacja: Przesuń, Obróć, Skala, Odbicie lustrzane, Odsunięcie, Przytnij, Rozciągnij, Klonuj, Szyk, Szyk biegunowy, Szyk kołowy, Szyk po ścieżce, Szyk powiązań po ścieżce, Szyk z punktów, Szyk powiązań w punktach, Edycja, Podświetl element podrzędny, Połącz, Rozdziel, Ulepsz kształt, Rozbij obiekt na elementy, Polilinia na krzywą złożoną, Rysunek Roboczy do szkicu, Nachylenie, Obróć wymiar, Widok 2D kształtu
- Tacka narzędziowa: Wybór płaszczyzny, Ustaw styl, Przełącz tryb konstrukcyjny, Grupowanie automatyczne
- Przyciąganie: Przełącz przyciąganie, Przyciągnij do punktu końcowego, Przyciągnij do punktu środkowego, Przyciągnij do środka, Przyciągnij do kąta, Przyciąganie do punktu przecięcia, Przyciągnij prostopadle, Rozszerz, Przyciągnij równolegle, Przyciągnij specjalnie, Przyciąganie do najbliższego, Przyciągnij ortogonalnie, Przyciągnij do siatki, Przyciągnij do płaszczyzny roboczej, Przyciągnij do wymiaru, Pokaż / ukryj siatkę
- Różności: Warstwa, Dodaj grupę o nazwie, Dodaj do grupy, Wybierz grupę, Dodaj do grupy konstrukcyjnej, Przełącz tryb wyświetlania, Pośrednia płaszczyzna robocza, Zastosuj bieżący styl, Ulecz, Przełącz tryb kontynuacji, Pokaż przybornik przyciągania
- Dodatkowe:: Wiązania, Wypełnienie wzorem, Preferencje, Ustawienia Importu i Eksportu, DXF/DWG, SVG, OCA, DAT
- Menu podręczne:
- Kontener warstwy: Połącz duplikaty warstw, Dodaj warstwę
- Warstwa: Aktywuj warstwę, Zaznacz zawartość warstwy
- Pośrednia płaszczyzna robocza: Zapisz ujęcie widoku, Zapisz stan obiektów

- Jak zacząć
- Instalacja: Pobieranie programu, Windows, Linux, Mac, Dodatkowych komponentów, Docker, AppImage, Ubuntu Snap
- Podstawy: Informacje na temat FreeCAD, Interfejs użytkownika, Profil nawigacji myszką, Metody wyboru, Nazwa obiektu, Edytor ustawień, Środowiska pracy, Struktura dokumentu, Właściwości, Pomóż w rozwoju FreeCAD, Dotacje
- Pomoc: Poradniki, Wideo poradniki
- Środowiska pracy: Strona Startowa, Architektura, Rysunek Roboczy, MES, Inspekcja, Siatka, OpenSCAD, Część, Projekt Części, Path, Punkty, Inżynieria Wsteczna, Robot, Szkicownik, Arkusz Kalkulacyjny, Start, Powierzchnia 3D, Rysunek Techniczny, Test Framework, Web